{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Note Table</title>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="{% static 'css/style.css' %}" type="text/css">
    <style>
        .table-style {
            border-collapse: collapse;
            margin: 25px;
            font-size: 0.9em;
            min-width: 400px;
        }

        .table-style thead tr {
            background-color: #ffb703;
            color: #ffffff;
            text-align: left;
            font-weight: bold;
        }

        .table-style th, td {
            padding: 12px 15px;
        }

        .table-style tbody tr:nth-of-type(even) {
            background-color: #f3f3f3;
        }

        .table-style tbody tr:last-of-type {
            border-bottom: 2px solid #ffb703;
        }  
    </style>
  </head>
  <body>

    <nav>
        <ul class = "menu">
            <li><a class="button" href="/lab-4/add-note">Add Note</a></li>
            <li><a class="button" href="/lab-4">Note as Table</a></li>
            <li><a class="button" href="/lab-4/note-list">Note as Card</a></li>
        </ul>
    </nav>
    <br><br>

    <table class = "table-style">
        <thead>
            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
            </tr>
        </thead>
        <tbody>
            {% for obj in Note %}
            <tr>
              <td>{{obj.to}}</td>
              <td>{{obj.From}}</td>
              <td>{{obj.title}}</td>
              <td>{{obj.message}}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
  </body>
</html>
